commit 4c4d816ca4ec1ed06a5db691d09ead777deff1b8
Author: freddy77 <freddy77>
Date:   Tue Aug 10 07:40:09 2010 +0000

    fix compile with HP-UX compiler

diff --git a/ChangeLog b/ChangeLog
index 8deca54..cb0c75c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Aug 10 09:40:00 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac m4/acx_pthread.m4: fix compile with HP-UX compiler
+
 Thu Aug  5 11:24:51 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/net.c: use fakepoll
 
@@ -2826,4 +2829,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3111 2010/08/05 09:25:00 freddy77 Exp $
+$Id: ChangeLog,v 1.3112 2010/08/10 07:40:09 freddy77 Exp $
diff --git a/configure.ac b/configure.ac
index 386f776..eae3aa0 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.54 2010/07/30 09:09:36 freddy77 Exp $
+dnl $Id: configure.ac,v 1.55 2010/08/10 07:40:09 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.54 $)
+AC_REVISION($Revision: 1.55 $)
 
 AM_INIT_AUTOMAKE([dist-bzip2])
 AC_CONFIG_HEADERS(include/config.h)
@@ -81,6 +81,7 @@ CPPFLAGS="$CPPFLAGS -D_FREETDS_LIBRARY_SOURCE"
 AC_PROG_CC
 AC_PROG_CPP
 AM_PROG_CC_C_O
+AC_C_INLINE
 
 dnl Disable libtool 1.5 support for languages we don't use
 dnl (cfr http://lists.gnu.org/archive/html/libtool/2005-08/msg00137.html)
diff --git a/m4/acx_pthread.m4 b/m4/acx_pthread.m4
index e4e91d3..8fff157 100644
--- a/m4/acx_pthread.m4
+++ b/m4/acx_pthread.m4
@@ -120,6 +120,12 @@ case "${host_cpu}-${host_os}" in
 
         acx_pthread_flags="-pthreads pthread -mt -pthread $acx_pthread_flags"
         ;;
+
+        # The HP-UX compiler just warns about options it does not understand
+        # but it needs -mt.
+        *-hpux*)
+        acx_pthread_flags="-mt $acx_pthread_flags"
+        ;;
 esac
 
 if test x"$acx_pthread_ok" = xno; then

